class Credential
  FILE_PATH = "#{ENV['HOME']}/.rncher"

  def self.load_credentials
    @attributes ||= JSON.parse(File.read(FILE_PATH))
  end

  def self.exists?
    begin
      JSON.parse(File.read(FILE_PATH))
      true
    rescue
      false
    end
  end

  def self.access_key
    self.exists? ? self.load_credentials['default']['access_key'] : nil
  end

  def self.secret_key
    self.exists? ? self.load_credentials['default']['secret_key'] : nil
  end

  def self.host
    self.exists? ? self.load_credentials['default']['host'] : nil
  end

  def self.env
    self.exists? ? self.load_credentials['default']['env'] : nil
  end

  def self.set_credentials(attributes)
    File.open(FILE_PATH, 'w') {|f| f.write(attributes.to_json) }
  end
end
