class Rncher::Cli < Thor
  desc 'app', 'interact with apps'   # [4]
  subcommand 'app', Rncher::App

  desc 'service', 'interact with services'   # [4]
  subcommand 'service', Rncher::Service

  desc 'setup', 'setup credentials'
  method_option :access_key, type: :string, required: true
  method_option :secret_key, type: :string, required: true
  method_option :host, type: :string, required: true
  method_option :env, type: :string, required: true
  method_option :name, type: :string, required: true
  method_option :default, type: :boolean, required: false
  def setup
    if !Credential.exists?
      Credential.set_credentials({})
    end
    content = Credential.load_credentials
    content[options[:name].to_sym] = {
      access_key: options[:access_key],
      secret_key: options[:secret_key],
      host: options[:host],
      env: options[:env]
    }
    content[:default] = {
      access_key: options[:access_key],
      secret_key: options[:secret_key],
      host: options[:host],
      env: options[:env]
    } if options[:default]==true
    Credential.set_credentials(content)
    puts 'Done!'
  end

  desc 'switch', 'switch environment'
  def switch name
    content = Credential.load_credentials
    content[:default] = content[name]
    Credential.set_credentials(content)
  end
end
